import { Module } from '@nestjs/common';
import { UploadController } from './upload.controller';
import { BullModule } from '@nestjs/bullmq';
import { TusService } from './tus.service';
import { ResourceModule } from '@server/models/resource/resource.module';

@Module({
  imports: [
    BullModule.registerQueue({
      name: 'file-queue', // 确保这个名称与 service 中注入的队列名称一致
    }),
    ResourceModule,
  ],
  controllers: [UploadController],
  providers: [TusService],
})
export class UploadModule {}
