import { ArrowRightOutlined } from "@ant-design/icons";
import { Button } from "antd";
import { useNavigate } from "react-router-dom";

export default function LookForMore({to}:{to:string}) {
    const navigate = useNavigate();
    return (
        <>
            <div className="flex items-center gap-4 justify-between mt-12">
                <div className="h-[1px] flex-grow bg-gradient-to-r from-transparent via-gray-300 to-transparent"></div>
                <div className="flex justify-end">
                    <Button
                        type="link"
                        onClick={() => navigate(to)}
                        className="flex items-center gap-2 text-gray-600 hover:text-blue-600 font-medium transition-colors duration-300">
                        查看更多
                        <ArrowRightOutlined />
                    </Button>
                </div>
            </div>
        </>
    )

}
