import { Node, Edge } from "@xyflow/react";
// 基础接口和类型定义
export interface LayoutOptions {
    nodes: Node[];
    edges: Edge[];
    levelSeparation?: number;
    nodeSeparation?: number;
}

export interface NodeWithLayout extends Node {
    children?: NodeWithLayout[];
    parent?: NodeWithLayout;
    subtreeHeight?: number;
    subtreeWidth?: number;
    isRight?: boolean;
    relativeY?: number
    verticalLevel?: number
}

// 布局策略接口
export interface LayoutStrategy {
    layout(options: LayoutOptions): { nodes: Node[], edges: Edge[] };
}