import { CheckOutlined } from '@ant-design/icons';
import React from 'react';
interface CourseObjectivesProps {
    objectives: string[];
    title?: string;
}
const CourseObjectives: React.FC<CourseObjectivesProps> = ({
    objectives,
    title = "您将会学到"
}) => {
    return (
        <div className="bg-white p-6 rounded-lg shadow-sm border border-gray-200">
            <h2 className="text-xl font-bold mb-4">{title}</h2>
            <div className="grid grid-cols-1 md:grid-cols-2 gap-4">
                {objectives.map((objective, index) => (
                    <div
                        key={index}
                        className="flex items-start space-x-3"
                    >
                        <CheckOutlined></CheckOutlined>
                        <span className="text-gray-700">{objective}</span>
                    </div>
                ))}
            </div>
        </div>
    );
};

export default CourseObjectives;